﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.IO;
using System.Threading;
using ff14bot;
using ff14bot.Helpers;
using ff14bot.Interfaces;
using ff14bot.Managers;
using ff14bot.BotBases;
using Newtonsoft.Json;

namespace FateLevelSetter
{
    public class FateLevelSetter : IBotPlugin
    {

        // EDIT THIS VAR TO CHANGE THE OFFSET
            private int offset = 4;
        //


        public string Author { get { return "SkyHigh"; } }
        public Version Version { get { return new Version(1, 0); } }
        public string Name { get { return "Fate Level Setter"; } }
        public string Description { get { return "Sets the level range of fates according to your player level."; } }
        public bool WantButton { get { return false; } }
        public string ButtonText { get { return "^-^"; } }
        public void OnButtonPress() {}
        public bool Equals(IBotPlugin other) { throw new NotImplementedException(); }
        public void OnInitialize() { }
        public void OnShutdown() { }
        public void OnEnabled() { }
        public void OnDisabled() { }
        public void OnPulse()
        {
            if (BotManager.Current.Name == "Fate Bot")
            {
                
                int currentLevel = (int)Core.Player.ClassLevel;
                FatebotSettings settings = FatebotSettings.Instance;
                settings.LevelCheck = true;
                if (settings.MinLevel != currentLevel - offset || settings.MaxLevel != offset) {
                  Logging.Write("[FateLevelSetter] Updated Settings: CurrentLevel: " + (int)Core.Player.ClassLevel + "| Setting MinLevel:" + (currentLevel - offset) + " | Setting MaxLevel:" + (currentLevel + offset));
                  settings.MinLevel = currentLevel - offset;
                  settings.MaxLevel = offset;
                }
            }
        }
    }
}
